Skip to main content
POST
/
sandbox
/
outlook_calendar
/
{sandbox_id}
/
initialize
Initialize outlook_calendar sandbox with data
curl --request POST \
  --url https://api.klavis.ai/sandbox/outlook_calendar/{sandbox_id}/initialize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "calendar_events": [
    {
      "title": "Team Meeting",
      "start_time": {
        "dateTime": "2025-11-20T14:00:00",
        "timeZone": "UTC"
      },
      "end_time": {
        "dateTime": "2025-11-20T15:00:00",
        "timeZone": "UTC"
      },
      "event_location": "Conference Room A"
    },
    {
      "title": "Project Review",
      "start_time": {
        "dateTime": "2025-11-21T10:00:00",
        "timeZone": "UTC"
      },
      "end_time": {
        "dateTime": "2025-11-21T12:00:00",
        "timeZone": "UTC"
      },
      "event_location": "Virtual",
      "event_attendees": [
        "colleague@example.com",
        "manager@example.com"
      ]
    },
    {
      "title": "1:1 with Manager",
      "start_time": {
        "dateTime": "2025-11-22T15:00:00",
        "timeZone": "UTC"
      },
      "end_time": {
        "dateTime": "2025-11-22T15:30:00",
        "timeZone": "UTC"
      }
    },
    {
      "title": "Sprint Planning",
      "start_time": {
        "dateTime": "2025-11-23T09:00:00",
        "timeZone": "UTC"
      },
      "end_time": {
        "dateTime": "2025-11-23T11:00:00",
        "timeZone": "UTC"
      },
      "event_location": "Main Office - Room 301",
      "event_attendees": [
        "dev1@example.com",
        "dev2@example.com",
        "pm@example.com"
      ]
    },
    {
      "title": "Client Presentation",
      "start_time": {
        "dateTime": "2025-11-24T14:00:00",
        "timeZone": "UTC"
      },
      "end_time": {
        "dateTime": "2025-11-24T16:00:00",
        "timeZone": "UTC"
      },
      "event_location": "Zoom Meeting",
      "event_attendees": [
        "client@company.com",
        "sales@example.com"
      ]
    }
  ]
}
'
import requests

url = "https://api.klavis.ai/sandbox/outlook_calendar/{sandbox_id}/initialize"

payload = { "calendar_events": [
        {
            "title": "Team Meeting",
            "start_time": {
                "dateTime": "2025-11-20T14:00:00",
                "timeZone": "UTC"
            },
            "end_time": {
                "dateTime": "2025-11-20T15:00:00",
                "timeZone": "UTC"
            },
            "event_location": "Conference Room A"
        },
        {
            "title": "Project Review",
            "start_time": {
                "dateTime": "2025-11-21T10:00:00",
                "timeZone": "UTC"
            },
            "end_time": {
                "dateTime": "2025-11-21T12:00:00",
                "timeZone": "UTC"
            },
            "event_location": "Virtual",
            "event_attendees": ["colleague@example.com", "manager@example.com"]
        },
        {
            "title": "1:1 with Manager",
            "start_time": {
                "dateTime": "2025-11-22T15:00:00",
                "timeZone": "UTC"
            },
            "end_time": {
                "dateTime": "2025-11-22T15:30:00",
                "timeZone": "UTC"
            }
        },
        {
            "title": "Sprint Planning",
            "start_time": {
                "dateTime": "2025-11-23T09:00:00",
                "timeZone": "UTC"
            },
            "end_time": {
                "dateTime": "2025-11-23T11:00:00",
                "timeZone": "UTC"
            },
            "event_location": "Main Office - Room 301",
            "event_attendees": ["dev1@example.com", "dev2@example.com", "pm@example.com"]
        },
        {
            "title": "Client Presentation",
            "start_time": {
                "dateTime": "2025-11-24T14:00:00",
                "timeZone": "UTC"
            },
            "end_time": {
                "dateTime": "2025-11-24T16:00:00",
                "timeZone": "UTC"
            },
            "event_location": "Zoom Meeting",
            "event_attendees": ["client@company.com", "sales@example.com"]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    calendar_events: [
      {
        title: 'Team Meeting',
        start_time: {dateTime: '2025-11-20T14:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-20T15:00:00', timeZone: 'UTC'},
        event_location: 'Conference Room A'
      },
      {
        title: 'Project Review',
        start_time: {dateTime: '2025-11-21T10:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-21T12:00:00', timeZone: 'UTC'},
        event_location: 'Virtual',
        event_attendees: ['colleague@example.com', 'manager@example.com']
      },
      {
        title: '1:1 with Manager',
        start_time: {dateTime: '2025-11-22T15:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-22T15:30:00', timeZone: 'UTC'}
      },
      {
        title: 'Sprint Planning',
        start_time: {dateTime: '2025-11-23T09:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-23T11:00:00', timeZone: 'UTC'},
        event_location: 'Main Office - Room 301',
        event_attendees: ['dev1@example.com', 'dev2@example.com', 'pm@example.com']
      },
      {
        title: 'Client Presentation',
        start_time: {dateTime: '2025-11-24T14:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-24T16:00:00', timeZone: 'UTC'},
        event_location: 'Zoom Meeting',
        event_attendees: ['client@company.com', 'sales@example.com']
      }
    ]
  })
};

fetch('https://api.klavis.ai/sandbox/outlook_calendar/{sandbox_id}/initialize', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    calendar_events: [
      {
        title: 'Team Meeting',
        start_time: {dateTime: '2025-11-20T14:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-20T15:00:00', timeZone: 'UTC'},
        event_location: 'Conference Room A'
      },
      {
        title: 'Project Review',
        start_time: {dateTime: '2025-11-21T10:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-21T12:00:00', timeZone: 'UTC'},
        event_location: 'Virtual',
        event_attendees: ['colleague@example.com', 'manager@example.com']
      },
      {
        title: '1:1 with Manager',
        start_time: {dateTime: '2025-11-22T15:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-22T15:30:00', timeZone: 'UTC'}
      },
      {
        title: 'Sprint Planning',
        start_time: {dateTime: '2025-11-23T09:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-23T11:00:00', timeZone: 'UTC'},
        event_location: 'Main Office - Room 301',
        event_attendees: ['dev1@example.com', 'dev2@example.com', 'pm@example.com']
      },
      {
        title: 'Client Presentation',
        start_time: {dateTime: '2025-11-24T14:00:00', timeZone: 'UTC'},
        end_time: {dateTime: '2025-11-24T16:00:00', timeZone: 'UTC'},
        event_location: 'Zoom Meeting',
        event_attendees: ['client@company.com', 'sales@example.com']
      }
    ]
  })
};

fetch('https://api.klavis.ai/sandbox/outlook_calendar/{sandbox_id}/initialize', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "sandbox_id": "<string>",
  "message": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Your Klavis AI API key.

Path Parameters

sandbox_id
string
required

The unique sandbox identifier

Query Parameters

init_default_data
boolean
default:false

If true, use default test data for initialization

Body

application/json

Complete Outlook Calendar sandbox data structure

calendar_events
OutlookCalendarEvent · object[] | null

List of calendar events

Response

Successful Response

Response model for sandbox initialization

sandbox_id
string
required

Sandbox identifier

status
enum<string>
required

Current status

Available options:
idle,
occupied,
error
message
string
required

Initialization result message